org.apache.ignite.internal.processors.query

## Class IgniteSQLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.processors.query.IgniteSQLException

All Implemented Interfaces:
  Serializable

    public class IgniteSQLException
    extends IgniteException

Specific exception bearing information about query processing errors for more detailed errors in JDBC driver.

See Also:
  `IgniteQueryErrorCode`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteSQLException(SQLException cause)` Minimalistic ctor accepting only `SQLException` as the cause.
`IgniteSQLException(String msg)`
`IgniteSQLException(String msg, int statusCode)`
`IgniteSQLException(String msg, int statusCode, Throwable cause)`
`IgniteSQLException(String msg, String sqlState, int statusCode)`
`IgniteSQLException(String msg, Throwable cause)`

### Method Summary

Methods
`SQLException` `toJdbcException()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteSQLException

    public IgniteSQLException(String msg)

#### IgniteSQLException

    public IgniteSQLException(SQLException cause)

Minimalistic ctor accepting only `SQLException` as the cause.

#### IgniteSQLException

    public IgniteSQLException(String msg,
                      @Nullable
                      Throwable cause)

#### IgniteSQLException

    public IgniteSQLException(String msg,
                      int statusCode,
                      @Nullable
                      Throwable cause)

#### IgniteSQLException

    public IgniteSQLException(String msg,
                      String sqlState,
                      int statusCode)

#### IgniteSQLException

    public IgniteSQLException(String msg,
                      int statusCode)

### Method Detail

#### toJdbcException

    public SQLException toJdbcException()

Returns:
  JDBC exception containing details from this instance.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016